OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.TextureMultisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTextureMultisample :: MonadIO m => m Bool
- gl_ARB_texture_multisample :: Bool
- pattern GL_INT_SAMPLER_2D_MULTISAMPLE :: GLenum
- pattern GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum
- pattern GL_MAX_COLOR_TEXTURE_SAMPLES :: GLenum
- pattern GL_MAX_DEPTH_TEXTURE_SAMPLES :: GLenum
- pattern GL_MAX_INTEGER_SAMPLES :: GLenum
- pattern GL_MAX_SAMPLE_MASK_WORDS :: GLenum
- pattern GL_PROXY_TEXTURE_2D_MULTISAMPLE :: GLenum
- pattern GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum
- pattern GL_SAMPLER_2D_MULTISAMPLE :: GLenum
- pattern GL_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum
- pattern GL_SAMPLE_MASK :: GLenum
- pattern GL_SAMPLE_MASK_VALUE :: GLenum
- pattern GL_SAMPLE_POSITION :: GLenum
- pattern GL_TEXTURE_2D_MULTISAMPLE :: GLenum
- pattern GL_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum
- pattern GL_TEXTURE_BINDING_2D_MULTISAMPLE :: GLenum
- pattern GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY :: GLenum
- pattern GL_TEXTURE_FIXED_SAMPLE_LOCATIONS :: GLenum
- pattern GL_TEXTURE_SAMPLES :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE :: GLenum
- pattern GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum
- glGetMultisamplefv :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glSampleMaski :: MonadIO m => GLuint -> GLbitfield -> m ()
- glTexImage2DMultisample :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTexImage3DMultisample :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()

# Extension Support

glGetARBTextureMultisample :: MonadIO m => m Bool Source #

Is the ARB_texture_multisample extension supported?

gl_ARB_texture_multisample :: Bool Source #

Is the ARB_texture_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureMultisample` in those cases instead.

# Enums

pattern GL_INT_SAMPLER_2D_MULTISAMPLE :: GLenum Source #

pattern GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum Source #

pattern GL_MAX_COLOR_TEXTURE_SAMPLES :: GLenum Source #

pattern GL_MAX_DEPTH_TEXTURE_SAMPLES :: GLenum Source #

pattern GL_MAX_INTEGER_SAMPLES :: GLenum Source #

pattern GL_MAX_SAMPLE_MASK_WORDS :: GLenum Source #

pattern GL_PROXY_TEXTURE_2D_MULTISAMPLE :: GLenum Source #

pattern GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum Source #

pattern GL_SAMPLER_2D_MULTISAMPLE :: GLenum Source #

pattern GL_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum Source #

pattern GL_SAMPLE_MASK :: GLenum Source #

pattern GL_SAMPLE_MASK_VALUE :: GLenum Source #

pattern GL_SAMPLE_POSITION :: GLenum Source #

pattern GL_TEXTURE_2D_MULTISAMPLE :: GLenum Source #

pattern GL_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum Source #

pattern GL_TEXTURE_BINDING_2D_MULTISAMPLE :: GLenum Source #

pattern GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY :: GLenum Source #

pattern GL_TEXTURE_FIXED_SAMPLE_LOCATIONS :: GLenum Source #

pattern GL_TEXTURE_SAMPLES :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE :: GLenum Source #

pattern GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY :: GLenum Source #

# Functions

glGetMultisamplefv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetMultisamplePNameNV.
-> GLuint | `index`.
-> Ptr GLfloat | `val` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSampleMaski Source #

Arguments

:: MonadIO m |
=> GLuint | `maskNumber`.
-> GLbitfield | `mask`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glTexImage2DMultisample Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glTexImage3DMultisample Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedsamplelocations` of type Boolean.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.